<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html"; charset="utf-8" />
        <!-- | Important for Responsive | -->
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>
            {% block title %}
                {{ 'site.title'|trans }} - {{ 'site.tagline'|trans }}
            {% endblock %}
        </title>
        <!--[if lt IE 9]>
            <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
        {% block stylesheets %}
            <link href='http://fonts.googleapis.com/css?family=Aclonica' rel='stylesheet' type='text/css'>
            <link href='http://fonts.googleapis.com/css?family=La+Belle+Aurore' rel='stylesheet' type='text/css'>
             <!-- Boostrap min CSS -->
            <link href="{{ asset('bundles/app/css/bootstrap.min.css') }}" type="text/css" rel="stylesheet" />
            <!-- FontAweSome min CSS -->
            <link href="{{ asset('bundles/app/css/fontawesome.min.css') }}" type="text/css" rel="stylesheet" />
            <link href="{{ asset('bundles/app/css/screen.css') }}" type="text/css" rel="stylesheet" />
        {% endblock %}
        <link rel="shortcut icon" href="{{ asset('bundles/app/images/mustangx.favicon2.png') }}" />
    </head>
    <body>

<div id="blog" class="container">
<!--|| Locale Switch ||-->
    <br/>
    <div class="row">
        <div class="col-xs-3 col-sm-1 col-md-1 col-xs-offset-6 col-sm-offset-10 col-md-offset-10">
            <a href="{{ path('switch_language_english') }}" class="thumbnail">
                <img src="{{ asset('bundles/app/images/flags/us.png') }}" alt="{{ 'locale.english'|trans }}">
            </a>
        </div>
        <div class="col-xs-3 col-sm-1 col-md-1">
            <a href="{{ path('switch_language_german') }}" class="thumbnail">
                <img src="{{ asset('bundles/app/images/flags/de.png') }}" alt="{{ 'locale.german'|trans }}">
                </a>
            </div>
    </div>

{% block header %}
    <div class="row">
        <div class="col-md-12">
        <header id="header">
            <hgroup>
                <h2>{% block blog_title %}<a href="{{ path('homepage') }}"><img src="{{ asset('bundles/app/images/mustangx_logo_medium.png') }}" /><!--{{ 'site.name'|trans }}--></a></img>{% endblock %}</h2>
                <h3>{% block blog_tagline %}<a href="{{ path('homepage') }}">{{ 'site.tagline'|trans }}</a>{% endblock %}</h3>
             </hgroup>
        </header>
        </div>
    </div>
{% endblock %}


{% block navbar %}
<nav class="navbar navbar-default" role="navigation">

   <div class="container-fluid">

      <div class="navbar-header">
         <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-simples">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
         </button>
         <a class="navbar-brand" href="{{ path('homepage') }}" style="color:#105ea0">
            <span class="glyphicon glyphicon-home" aria-hidden="true"></span> {{ 'nav.home'|trans }}
         </a>
      </div>

      <div class="collapse navbar-collapse" id="navbar-simples">
         <ul class="nav navbar-nav">
            <li>
               <a href="{{ path('about') }}" style="color:#337ab7">
                  <span class="glyphicon glyphicon-page" aria-hidden="true"></span> {{ 'nav.about'|trans }}
               </a>
            </li>
            <li>
               <a href="{{ path('contact') }}" style="color:#337ab7">
                  <span class="glyphicon glyphicon-page" aria-hidden="true"></span> {{ 'nav.contact'|trans }}
               </a>
            </li>
             <li>
               <a href="{{ path('search') }}" style="color:#337ab7">
                  <span class="glyphicon glyphicon-search" aria-hidden="true"></span> {{ 'nav.search'|trans }}
               </a>
            </li>
         </ul>
         <!--| Login/Logout Start-needed |-->
            <ul class="nav navbar-nav navbar-right">
         <!--| Login/Logout End-needed |-->
         <!--|| BEGIN ADMIN LINK ||-->
         {% if is_granted('ROLE_ADMIN') -%}
             <li class="dropdown">

                 <li class="dropdown">
                     <a href="{{ path('admin') }}" style="color:#15609f"><span class="glyphicon glyphicon-king" aria-hidden="true"></span> {{ 'admin.panel'|trans }}</a>
                 </li>
             </li>
         {% endif %}
         <!--|| END ADMIN LINK ||-->
         <!--| Login/Logout Start |-->
            <li class="dropdown pull-right"><a href="{{ path('fos_user_registration_register') }}" style="color:#15609f"><span class="glyphicon glyphicon-knight" aria-hidden="true"></span> {% trans %}login.register{% endtrans %}</a></li>

            {% if app.user %}
              <li class="dropdown pull-right"><a href="{{ path('fos_user_security_logout') }}" style="color:#15609f"><span class="glyphicon glyphicon-log-out" aria-hidden="true"></span> {% trans %}login.logout{% endtrans %}</a></li>
            {% else %}
              <li class="dropdown pull-right"><a href="{{ path('fos_user_security_login') }}" style="color:#15609f"><span class="glyphicon glyphicon-log-in" aria-hidden="true"></span> {% trans %}login.login{% endtrans %}</a></li>
            {% endif %}

            </ul>
         <!--| Login/Logout End |-->
      </div>
   </div>
</nav>
{% endblock %}

<div class="panel panel-default">

    <div class="panel-body">
        <div class="container-fluid">

<!--|| The content of the Homepage will be here ||-->
        <section class="main-col">
            {% block body %}

            {% endblock %}
        </section>
<!--|| The content of the Sidebar will be here ||-->
        <aside class="wrapper sidebar">
            {% block sidebar %}

            {% endblock %}
        </aside>

        </div>
    </div>

<!--|| Share in social networks the page that the user is reading ||-->
   <div class="panel-footer">

   <div id="socialNetworks" class="text-center">
      <a id="shareFB" target="_blank"
         href="https://www.facebook.com/sharer/sharer.php?u={{ path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) }}">
         <img class="img-thumbnail btn-xs" src="{{ asset('bundles/app/images/facebook.png') }}" alt="Share on Facebook"/>
      </a>

      <a id="shareTW" target="_blank"
         href="http://twitter.com/home?status={{ path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params')) }}">
         <img src="{{ asset('bundles/app/images/twitter.png') }}" alt="Share on Twitter"/>
      </a>
   </div>
    <div id="footerInfo" class="text-center">
        {% block footer %}
            {% trans %}footer.copy{% endtrans %} &copy; 2015-{{ "now" | date("Y") }} <a href="{{ 'footer.mail.username'|trans }}@{{ 'footer.mail.domain'|trans }}">{{ 'footer.mail.title'|trans }}</a>

            <br>
            <a href="">{{ 'legal.terms'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
            <a href="">{{ 'legal.disclaimer'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
            <a href="">{{ 'legal.privacy'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
            <a href="">{{ 'legal.trademarks'|trans }}</a>&nbsp;&nbsp;|&nbsp;&nbsp;
            <a href="">{{ 'legal.imprint'|trans }}</a>
        {% endblock %}
    </div>
  </div>

</div>

            {% block javascripts %}
            <!-- JQuery -->
            <script src="{{ asset('bundles/app/js/jquery.min.js') }}" type="text/javascript"></script>

            <!-- Boostrap JS -->
            <script src="{{ asset('bundles/app/js/bootstrap.min.js') }}" type="text/javascript"></script>

            <!-- FontAweSome JS -->
            <script src="{{ asset('bundles/app/js/fontawesome.min.js') }}" type="text/javascript"></script>
            {% endblock %}

        </div>

    </body>
</html>
